Skip to main content
POST
/
archetypes
cURL
curl -X POST https://api.growthbook.io/api/v1/archetypes \
  -d '{ "name": "Mobile user", attributes: "{\"deviceType\": \"mobile\"}", isPublic: true, ... }'
  -u secret_abc123DEF456:
{
  "archetype": {
    "id": "<string>",
    "dateCreated": "<string>",
    "dateUpdated": "<string>",
    "name": "<string>",
    "owner": "<unknown>",
    "isPublic": true,
    "attributes": {},
    "description": "<string>",
    "projects": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Body

application/json
name
string
required
isPublic
boolean
required

Whether to make this Archetype available to other team members

description
string
attributes
object

The attributes to set when using this Archetype

projects
string[]

Response

200 - application/json

Success

archetype
object
required